Bug 753452 - Review Request: netris - A FOSS variant of tetris that includes a networked multiplayer mode and runs through the terminal
Summary: Review Request: netris - A FOSS variant of tetris that includes a networked m...
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2011-11-12 16:53 UTC by Dominic Prittie
Modified: 2015-07-21 13:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The sources were collected from the ubuntu universe repo as the original author does not appear to be actively developing or have an upstream scm source. The url is: https://launchpad.net/ubuntu/+source/netris/0.52-9
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-21 13:19:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dominic Prittie 2011-11-12 16:53:08 UTC
Spec URL: http://mojomax.co.uk/scm/packaging/netris/netris.spec
SRPM URL: http://mojomax.co.uk/scm/packaging/netris/netris-0.52-1.src.rpm
Description: Netris is a console based variant of the classic arcade game T*tris. It includes the standard single player mode as well as a networked multiplayer option, in which two players battle it out by adding their cleared lines to their opponent's screen.

NB - The sources were collected from the ubuntu universe repo as the original author does not appear to be actively developing or have an upstream scm source. The url is: https://launchpad.net/ubuntu/+source/netris/0.52-9

NB - I need a sponsor

Comment 1 Dominic Prittie 2011-11-12 17:01:18 UTC
Requested hosting space with fedora.
https://fedorahosted.org/fedora-infrastructure/ticket/3015

Comment 2 Dominic Prittie 2011-11-12 17:01:18 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The sources were collected from the ubuntu universe repo as the original
author does not appear to be actively developing or have an upstream scm
source. The url is: https://launchpad.net/ubuntu/+source/netris/0.52-9

Comment 3 Dominic Prittie 2011-11-12 17:04:00 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,3 +1,2 @@
-The sources were collected from the ubuntu universe repo as the original
+The sources were collected from the ubuntu universe repo as the original author does not appear to be actively developing or have an upstream scm source. The url is:
-author does not appear to be actively developing or have an upstream scm
+https://launchpad.net/ubuntu/+source/netris/0.52-9-source. The url is: https://launchpad.net/ubuntu/+source/netris/0.52-9

Comment 4 Peter Lemenkov 2011-11-12 20:16:50 UTC
The word "T*tr*s" must be replaced by something like "falling bricks game" - this is a trademark which is actively protected in courts. No other bad words like "similar to commercial" must exist in any of supplied texts or descriptions.

To be honest every open source remake of successful commercial game is a minefield for a Linux distribution.

Comment 5 Dominic Prittie 2011-11-13 10:33:57 UTC
Ok it shouldn't be a problem to replace all instances of t*tr*s with an adequate description.

I understand the potential legal issues with a game like this, but I am hoping in this instance it won't be much of an issue since this game has been around for a long time and has been included in repositories for Debian and many of its derivatives, including Ubuntu.

Thank you for your interest, any further advice to bring this package up to scratch would be much appreciated.

Comment 6 Jason Tibbitts 2012-06-29 20:44:59 UTC
Since there are legal issues, I will add the legal blocker.

Comment 7 Tom "spot" Callaway 2012-07-02 20:22:39 UTC
Peter is correct in Comment 4. In addition, the naming here is problematic, as it is clearly infringing upon the "Tetris" trademark (via confusion). For this package to go into Fedora, it would also need to be renamed to something that does not infringe upon the Tetris trademark.

Comment 8 Miroslav Suchý 2015-07-21 13:19:09 UTC
Closing due long inactivity. Feel free to reopen if you want to continue.


Note You need to log in before you can comment on or make changes to this bug.